$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.196.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.196.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '21AE004DB662F4E2308E45DF7D0DBB700840CB0084A3C8C8C3EDFE550BCD698F'
  checksumType = 'sha256'
  checksum64 = '21AE004DB662F4E2308E45DF7D0DBB700840CB0084A3C8C8C3EDFE550BCD698F'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.196-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
